| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations
IGPUProgrammingServices.h File Reference
`#include "EShaderTypes.h"`
`#include "EMaterialTypes.h"`
`#include "EPrimitiveTypes.h"`
`#include "path.h"`

Go to the source code of this file.

## Classes

- class irr::video::IGPUProgrammingServices
    Interface making it possible to create and use programs running on the GPU. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

- enum irr::video::E_GPU_SHADING_LANGUAGE { irr::video::EGSL_DEFAULT = 0, irr::video::EGSL_CG }
    Enumeration for different types of shading languages. More...